interactions:
- request:
    body: '{"messages":[{"role":"system","content":"You are a helpful assistant. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      "},{"role":"user","content":"Say hello in one word."}],"model":"gpt-4.1"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '5823'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-D7mVhCCkdWfellaSmcNLOuu87BsqI\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1770747141,\n  \"model\": \"gpt-4.1-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"Hello!\",\n        \"refusal\": null,\n
        \       \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\":
        \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 1144,\n    \"completion_tokens\":
        2,\n    \"total_tokens\": 1146,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\":
        1024,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_8b22347a3e\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 10 Feb 2026 18:12:22 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '469'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
- request:
    body: '{"messages":[{"role":"system","content":"You are a helpful assistant. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      This is padding text to ensure the prompt is large enough for caching. This
      is padding text to ensure the prompt is large enough for caching. This is padding
      text to ensure the prompt is large enough for caching. This is padding text
      to ensure the prompt is large enough for caching. This is padding text to ensure
      the prompt is large enough for caching. This is padding text to ensure the prompt
      is large enough for caching. This is padding text to ensure the prompt is large
      enough for caching. This is padding text to ensure the prompt is large enough
      for caching. This is padding text to ensure the prompt is large enough for caching.
      "},{"role":"user","content":"Say goodbye in one word."}],"model":"gpt-4.1"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '5825'
      content-type:
      - application/json
      cookie:
      - COOKIE-XXX
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-D7mViSYwB6eFFbBcp045uvPAO8m2e\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1770747142,\n  \"model\": \"gpt-4.1-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"Farewell.\",\n        \"refusal\":
        null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n
        \     \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\":
        1144,\n    \"completion_tokens\": 3,\n    \"total_tokens\": 1147,\n    \"prompt_tokens_details\":
        {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_8b22347a3e\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 10 Feb 2026 18:12:22 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '468'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
